
Foreman - Feature #20726

Allow # character in user name

08/24/2017 06:24 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Users, Roles and Permissions   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1357256 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4782

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1357256

User request support for $ and # in user names. We already have $ thanks to #20514 so we should add # too.

Related issues:

Related to Foreman - Bug #20514: Login ID does not support $ character Closed 08/07/2017

Associated revisions

Revision 1a0f69e7 - 08/24/2017 08:54 AM - Marek Hulán

Fixes #20726 - allow # in user login

History

#1 - 08/24/2017 06:29 AM - Marek Hulán

- Related to Bug #20514: Login ID does not support $ character added

#2 - 08/24/2017 06:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/4782 added

#3 - 08/24/2017 06:38 AM - Marek Hulán

- Subject changed from Allow special characters in user name on Satellite 6.x

 to Allow # character in user name

#4 - 08/24/2017 09:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1a0f69e7aac2e07fd438ca5ee3c2ef297b504242.

#5 - 08/24/2017 09:05 AM - Marek Hulán

- translation missing: en.field_release set to 240

#6 - 09/25/2017 06:04 AM - Daniel Lobato Garcia

- Category set to 218

#7 - 07/15/2020 01:26 PM - Tomer Brisker

- Category changed from 218 to Users, Roles and Permissions
